Subject: Re: bug#43315: 28.0.50; Improvements to menu-bar Edit: add redo

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Sep 2020 08:59:04 +0300

> Resent-From: Lars Ingebrigtsen <[email-masked]>
> Original-Sender: "Debbugs-submit" <[email-masked]>
> Resent-CC: [email-masked]
> Resent-Sender: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 10 Sep 2020 22:59:15 +0200
> Cc: [email-masked]
> 
> Caio Henrique <[email-masked]> writes:
> 
> > Here is my proposal:
> > I'm not used to the default undo system since I use undo-tree, but it
> > seems that Emacs 28 has added a function called undo-redo to the
> > simple.el file, right? My proposal is to add it to the menu-bar, right
> > bellow "Undo":
> 
> Makes sense to me, so I've applied your patch to Emacs 28.

Thanks.

However, when we put a command on a menu item, we should make sure its
documentation is clear enough for newbies.  In this case, the doc
string was so terse it was beyond obscure, and needed fixing to be
clear enough for a menu command.  (I fixed it.)